package pps.core.task.job;

import pps.core.task.constant.TaskConstant;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

/**
 * 第三方有功功率定时任务
 *
 * @author ZWT
 * @date 2024/03/19 10:06
 */
@XText("第三方有功功率定时任务")
@XService
public class ThirdActivePowerJob implements XJob {

    /**
     * 十分钟一次
     *
     * @param xContext x上下文
     * @return {@link XServiceResult}
     */
    @XCronTrigger(value = TaskConstant.TEN_MINUTES)
    @Override
    public XServiceResult execute(XContext xContext) {
        return XServiceResult.OK;
    }
}
