package pps.core.task.job;

import pps.core.task.constant.TaskConstant;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

/**
 * 第三方光伏日发电量定时任务
 *
 * @author ZWT
 * @date 2024/03/19 10:07
 */
@XText("第三方光伏日发电量定时任务")
@XService
public class ThirdPhotovoltaicPowerJob implements XJob {

    /**
     * 半小时一次
     *
     * @param xContext x上下文
     * @return {@link XServiceResult}
     */
    @XCronTrigger(value = TaskConstant.HALF_HOUR)
    @Override
    public XServiceResult execute(XContext xContext) {
        return null;
    }
}